#define grid: step 1
p_grid = seq(from=0, to=1, length.out=100)

#define prior: step 2  ----------------------> here the prior is a flat prior 
prior= rep(1,100)

#compute likelihood at each value in grid: step 3
likelihood = dbinom(6, size = 9, prob = p_grid)


#compute product of likelihood and prior: step 4
unstd.posterior = likelihood*prior


#standardize the posterioir, so it sums to 1: step 5
posterior = unstd.posterior/sum(unstd.posterior)


plot(p_grid, posterior, type = "b", xlab = "probability of water", ylab = "posterior probability")
mtext("20 points")
----------------------------------------------------------------------------------------------------------------------------

#define grid: step 1
p_grid = seq(from=0, to=1, length.out=5)

#define prior: step 2
prior= rep(1,5)

#compute likelihood at each value in grid: step 3
likelihood = dbinom(6, size = 9, prob = p_grid)


#compute product of likelihood and prior: step 4
unstd.posterior = likelihood*prior


#standardize the posterior, so it sums to 1: step 5
posterior = unstd.posterior/sum(unstd.posterior)


plot(p_grid, posterior, type = "b", xlab = "probability of water", ylab = "posterior probability")
----------------------------------------------------------------------------------------------------------------------------
  #define grid: step 1
  p_grid = seq(from=0, to=1, length.out=20)

#define prior: step 2 -------------------> here the prior has been changed to a step prior where we have assigned a 0 to all values less than .5
prior= ifelse(p_grid<.5, 0, 1)

#compute likelihood at each value in grid: step 3
likelihood = dbinom(6, size = 9, prob = p_grid)


#compute product of likelihood and prior: step 4
unstd.posterior = likelihood*prior


#standardize the posterior, so it sums to 1: step 5
posterior = unstd.posterior/sum(unstd.posterior)


plot(p_grid, posterior, type = "b", xlab = "probability of water", ylab = "posterior probability")
----------------------------------------------------------------------------------------------------------------------------
  #define grid: step 1
  p_grid = seq(from=0, to=1, length.out=20)

#define prior: step 2 -----------------------------------------------> here the prior has been changed to a peaked prior, peaked around .5
prior= exp(-5*abs(p_grid - .5))

#compute likelihood at each value in grid: step 3
likelihood = dbinom(6, size = 9, prob = p_grid)


#compute product of likelihood and prior: step 4
unstd.posterior = likelihood*prior


#standardize the posterioir, so it sums to 1: step 5
posterior = unstd.posterior/sum(unstd.posterior)


plot(p_grid, posterior, type = "b", xlab = "probability of water", ylab = "posterior probability")
----------------------------------------------------------------------------------------------------------------------------


